<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.mapper.order.OrderInfoMapper">

    <select id="getPage" resultType="com.fjhx.params.order.OrderInfoEx">
        select oi.id,
               oi.customer_info_id,
               oi.type,
               oi.code,
               oi.amount_money,
               oi.order_time,
               oi.status,
               oi.issue_status,
               oi.country_id,
               oi.province_id,
               oi.city_id,
               oi.detailed_address,
               oi.contacts,
               oi.phone,
               oi.phone_prefix_type,
               oi.remark,
               ci.name customerName
        from order_info oi
                 left join customer_info ci on oi.customer_info_id = ci.id
            ${ew.customSqlSegment}
    </select>

</mapper>
